/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.person.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.person.entity.PersonendatenDateiExportConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(PersonendatenDateiExportMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class PersonendatenDateiExportMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "personendatenDateiExportMeta";

  @Inject
  private transient Messages messages;

  public PersonendatenDateiExportMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBemerkungEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_BEMERKUNG_EINZAHL;
  }

  public String getBemerkungMehrzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_BEMERKUNG_MEHRZAHL;
  }


  public String getBemerkungEinzahlMessage(){
    return getMessage(getBemerkungEinzahlMessageKey());
  }

  public String getBemerkungMehrzahlMessage(){
    return getMessage(getBemerkungMehrzahlMessageKey());
  }



  public boolean isBemerkungRequired() {
    return !PersonendatenDateiExportConstants.BEMERKUNG_NULLABLE;
  }

  public java.lang.String getBemerkungDefaultValue() {
    return PersonendatenDateiExportConstants.BEMERKUNG_DEFAULT_VALUE;
  }

  public int getBemerkungMaxLength() {
    return PersonendatenDateiExportConstants.BEMERKUNG_MAX_LENGTH;
  }

  public String getBenutzerkennungEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_BENUTZERKENNUNG_EINZAHL;
  }

  public String getBenutzerkennungMehrzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_BENUTZERKENNUNG_MEHRZAHL;
  }


  public String getBenutzerkennungEinzahlMessage(){
    return getMessage(getBenutzerkennungEinzahlMessageKey());
  }

  public String getBenutzerkennungMehrzahlMessage(){
    return getMessage(getBenutzerkennungMehrzahlMessageKey());
  }



  public boolean isBenutzerkennungRequired() {
    return !PersonendatenDateiExportConstants.BENUTZERKENNUNG_NULLABLE;
  }

  public java.lang.String getBenutzerkennungDefaultValue() {
    return PersonendatenDateiExportConstants.BENUTZERKENNUNG_DEFAULT_VALUE;
  }

  public int getBenutzerkennungMaxLength() {
    return PersonendatenDateiExportConstants.BENUTZERKENNUNG_MAX_LENGTH;
  }

  public String getDateinameEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DATEINAME_EINZAHL;
  }

  public String getDateinameMehrzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DATEINAME_MEHRZAHL;
  }


  public String getDateinameEinzahlMessage(){
    return getMessage(getDateinameEinzahlMessageKey());
  }

  public String getDateinameMehrzahlMessage(){
    return getMessage(getDateinameMehrzahlMessageKey());
  }



  public boolean isDateinameRequired() {
    return !PersonendatenDateiExportConstants.DATEINAME_NULLABLE;
  }

  public java.lang.String getDateinameDefaultValue() {
    return PersonendatenDateiExportConstants.DATEINAME_DEFAULT_VALUE;
  }

  public int getDateinameMaxLength() {
    return PersonendatenDateiExportConstants.DATEINAME_MAX_LENGTH;
  }

  public String getDateiArtEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DATEI_ART_EINZAHL;
  }

  public String getDateiArtMehrzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DATEI_ART_MEHRZAHL;
  }


  public String getDateiArtEinzahlMessage(){
    return getMessage(getDateiArtEinzahlMessageKey());
  }

  public String getDateiArtMehrzahlMessage(){
    return getMessage(getDateiArtMehrzahlMessageKey());
  }



  public boolean isDateiArtRequired() {
    return !PersonendatenDateiExportConstants.DATEI_ART_NULLABLE;
  }

  public de.ivu.elect.business.exchange.entity.DateiExportArt getDateiArtDefaultValue() {
    return PersonendatenDateiExportConstants.DATEI_ART_DEFAULT_VALUE;
  }


  public String getDokumentVorlageArtEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DOKUMENT_VORLAGE_ART_EINZAHL;
  }

  public String getDokumentVorlageArtMehrzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DOKUMENT_VORLAGE_ART_MEHRZAHL;
  }


  public String getDokumentVorlageArtEinzahlMessage(){
    return getMessage(getDokumentVorlageArtEinzahlMessageKey());
  }

  public String getDokumentVorlageArtMehrzahlMessage(){
    return getMessage(getDokumentVorlageArtMehrzahlMessageKey());
  }



  public boolean isDokumentVorlageArtRequired() {
    return !PersonendatenDateiExportConstants.DOKUMENT_VORLAGE_ART_NULLABLE;
  }

  public de.ivu.elect.business.dokumente.entity.DokumentVorlageArt getDokumentVorlageArtDefaultValue() {
    return PersonendatenDateiExportConstants.DOKUMENT_VORLAGE_ART_DEFAULT_VALUE;
  }


  public String getDokumentVorlageDateinameEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DOKUMENT_VORLAGE_DATEINAME_EINZAHL;
  }

  public String getDokumentVorlageDateinameMehrzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DOKUMENT_VORLAGE_DATEINAME_MEHRZAHL;
  }


  public String getDokumentVorlageDateinameEinzahlMessage(){
    return getMessage(getDokumentVorlageDateinameEinzahlMessageKey());
  }

  public String getDokumentVorlageDateinameMehrzahlMessage(){
    return getMessage(getDokumentVorlageDateinameMehrzahlMessageKey());
  }



  public boolean isDokumentVorlageDateinameRequired() {
    return !PersonendatenDateiExportConstants.DOKUMENT_VORLAGE_DATEINAME_NULLABLE;
  }

  public java.lang.String getDokumentVorlageDateinameDefaultValue() {
    return PersonendatenDateiExportConstants.DOKUMENT_VORLAGE_DATEINAME_DEFAULT_VALUE;
  }

  public int getDokumentVorlageDateinameMaxLength() {
    return PersonendatenDateiExportConstants.DOKUMENT_VORLAGE_DATEINAME_MAX_LENGTH;
  }

  public String getDokumentVorlageNameEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DOKUMENT_VORLAGE_NAME_EINZAHL;
  }

  public String getDokumentVorlageNameMehrzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DOKUMENT_VORLAGE_NAME_MEHRZAHL;
  }


  public String getDokumentVorlageNameEinzahlMessage(){
    return getMessage(getDokumentVorlageNameEinzahlMessageKey());
  }

  public String getDokumentVorlageNameMehrzahlMessage(){
    return getMessage(getDokumentVorlageNameMehrzahlMessageKey());
  }



  public boolean isDokumentVorlageNameRequired() {
    return !PersonendatenDateiExportConstants.DOKUMENT_VORLAGE_NAME_NULLABLE;
  }

  public java.lang.String getDokumentVorlageNameDefaultValue() {
    return PersonendatenDateiExportConstants.DOKUMENT_VORLAGE_NAME_DEFAULT_VALUE;
  }

  public int getDokumentVorlageNameMaxLength() {
    return PersonendatenDateiExportConstants.DOKUMENT_VORLAGE_NAME_MAX_LENGTH;
  }

  public String getErstellungszeitpunktEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_ERSTELLUNGSZEITPUNKT_EINZAHL;
  }

  public String getErstellungszeitpunktMehrzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_ERSTELLUNGSZEITPUNKT_MEHRZAHL;
  }


  public String getErstellungszeitpunktEinzahlMessage(){
    return getMessage(getErstellungszeitpunktEinzahlMessageKey());
  }

  public String getErstellungszeitpunktMehrzahlMessage(){
    return getMessage(getErstellungszeitpunktMehrzahlMessageKey());
  }



  public boolean isErstellungszeitpunktRequired() {
    return !PersonendatenDateiExportConstants.ERSTELLUNGSZEITPUNKT_NULLABLE;
  }

  public java.util.Date getErstellungszeitpunktDefaultValue() {
    return PersonendatenDateiExportConstants.ERSTELLUNGSZEITPUNKT_DEFAULT_VALUE;
  }



  public String getDateiEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_DATEI_ID_EINZAHL;
  }

  public String getDateiEinzahlMessage(){
    return getMessage(getDateiEinzahlMessageKey());
  }

  public boolean isDateiRequired() {
    return !PersonendatenDateiExportConstants.DATEI_ID_NULLABLE;
  }


  public String getPersonendatenEinzahlMessageKey(){
    return PersonendatenDateiExportConstants.MESSAGE_KEY_PERSONENDATEN_ID_EINZAHL;
  }

  public String getPersonendatenEinzahlMessage(){
    return getMessage(getPersonendatenEinzahlMessageKey());
  }

  public boolean isPersonendatenRequired() {
    return !PersonendatenDateiExportConstants.PERSONENDATEN_ID_NULLABLE;
  }

}